Name:           guiloader
Version:        2.15.0
Release:        1%{?dist}
Summary:        GuiXml Loader Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://crow-designer.sourceforge.net/
Source0:        http://downloads.sourceforge.net/crow-designer/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gettext


%description
GuiLoader is a high-performance and compact GuiXml loader
library. This library allows GTK+ applications to create GUI widgets
and objects at run-time from GuiXml resource files. GuiLoader is
written in C language as a GObject subclass and has a trivial
language-independent API. GuiLoader was designed to be easily wrapped
for any language that has GTK+ bindings.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel
Requires:       gtk2-devel
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing %{name}
applications.


%prep
%setup -q


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
#%doc AUTHORS COPYING README README.msvc
%doc doc/*.txt
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
#%doc NEWS
%{_includedir}/guiloader/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 2.15.0-1
- Removed Patch0
- Updated to new upstream version 2.15.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Fabian Affolter <fabian@bernewireless.net> - 2.13.0-1
- Updated to 2.13.0

* Sat Dec 06 2008 Fabian Affolter <fabian@bernewireless.net> - 2.12.0-1
- Updated to 2.12.0
- Changed license to MIT acc. the source code and license.txt
- Added BR: gettext for the translations
- Added pkgconfig as a requirement for devel

* Sun Sep  3 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- First version
